#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Digest
%define		pnam	SHA1
Summary:	Digest::SHA1 - interface to the SHA-1 algorithm
Summary(pl.UTF-8):	Digest::SHA1 - interfejs do algorytmu SHA-1
Name:		perl-Digest-SHA1
Version:	2.13
Release:	16
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd22388f268434f2b24f64e28bf1aa35
Patch0:		%{name}-reset.patch
URL:		https://metacpan.org/dist/Digest-SHA1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::SHA1 Perl module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs.  The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

%description -l pl.UTF-8
Moduł Perla Digest::SHA1 pozwala używać algorytmu skrótu NIST SHA-1 z
programów w Perlu. Algorytm pobiera z wejścia wiadomość dowolnej
długości, a na wyjściu produkuje 160-bitowy "odcisk palca" lub "skrót
wiadomości" z wejścia.

%description -l pt_BR.UTF-8
Este módulos Perl permite a utilização do algoritmo de digest de
mensagens NIST SHA-1 em programas Perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README fip180-1.{gif,html}
%{perl_vendorarch}/Digest/SHA1.pm
%dir %{perl_vendorarch}/auto/Digest/SHA1
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/SHA1/SHA1.so
%{_mandir}/man3/Digest::SHA1.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-SHA1.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 73703d3
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> e05f307
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3fbb1cb
- rebuild with perl 5.34.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 240cdbd
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 2cbfc16
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e6d983e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> da79b20
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 413837a
- release 11

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 21ae451
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4899d62
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c0e628c
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cf4742e
- release 7 (by relup.sh)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 66d9377
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c1efd58
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 334bc6c
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3b0099c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> acc693e
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8053800
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e4a839
- cleanup, more verbose files

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 9a82b2f
- up to 2.13

